/**
* 文件：ParamForm.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/
package com.mortals.xhx.base.system.param.web;


import com.alibaba.fastjson.JSON;
import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.base.system.param.model.ParamEntity;
import com.mortals.xhx.base.system.param.model.ParamQuery;

/**
 * <p>Title: 参数信息</p>
 * <p>Description: ParamForm  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class ParamForm extends BaseCRUDFormLong<ParamEntity> {
	private ParamEntity entity = new ParamEntity();
	private ParamQuery query = new ParamQuery();
	public ParamForm(){
		
	}
	
    @Override
	public ParamEntity getEntity() {
		return entity;
	}

	public void setEntity(ParamEntity entity) {
		this.entity = entity;
	}
	
	@Override
	public ParamQuery getQuery() {
		return query;
	}

	public void setQuery(ParamQuery query) {
		this.query = query;
	}

	public static void main(String[] args) {

		ParamForm form = new ParamForm();

		String entityName =form.getEntity().getClass().getSimpleName();
		System.out.println(entityName);
		if ((entityName = entityName.substring(0, 1).toLowerCase() + entityName.substring(1, entityName.length())).endsWith("Entity")) {
			entityName = entityName.substring(0, entityName.length() - "Entity".length());
		}

		System.out.println(entityName);


		System.out.println(JSON.toJSONString(form));

	}
}